# PetscDrawRegisterDynamic

Adds a method to the Krylov subspace solver package.

### Synopsis

    PetscErrorCode PetscDrawRegisterDynamic(char *name_solver,char *path,char *name_create,PetscErrorCode (*routine_create)(PetscDraw))

Not Collective

### Input Parameters

| name_solver | - name of a new user-defined solver
| path | - path (either absolute or relative) the library containing this solver
| name_create | - name of routine to create method context
| routine_create | - routine to create method context

### Notes

PetscDrawRegisterDynamic() may be called multiple times to add several user-defined solvers.

If dynamic libraries are used, then the fourth input argument (routine_create) is ignored.

### Sample usage

       PetscDrawRegisterDynamic("my_draw_type",/home/username/my_lib/lib/libO/solaris/mylib.a,
                   "MyDrawCreate",MyDrawCreate);

Then, your solver can be chosen with the procedural interface via

        PetscDrawSetType(ksp,"my_draw_type")

or at runtime via the option

        -draw_type my_draw_type

### See Also

PetscDrawRegisterAll(), PetscDrawRegisterDestroy()

Level:developer
Location: src/sys/draw/../../../include/petscdraw.h
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages